// Задача "Произведение"
// 4-ая Интернет-олимпиада сезона 2007-2008, базовый уровень
// Автор задачи: Федор Царев, tsarev@rain.ifmo.ru
// Автор решения: Федор Царев, tsarev@rain.ifmo.ru

import java.io.*;
import java.util.*;

public class product_ft implements Runnable {

	private Scanner in;
	private PrintWriter out;
	String fname = "product";

	private void myAssert(boolean e, String message) {
		if (!e) {
			throw new Error("Assertion failure!!! " + message);
		}
	}

	char[] c;
	int len;
	boolean[] w;
	long ans = 1;

	void go(int pos, long num) {
		if (pos == len) {
			ans *= num;
			ans %= 366239;
			return;
		}
		long deg = 1;
		for (int i = 0; i < pos; i++) {
			deg *= 10;			
		}
		for (int i = 0; i < len; i++) {
			if (!w[i]) {
				w[i] = true;
				go(pos + 1, num + (c[i] - '0') * deg);
				w[i] = false;
			}
		}
	}

	public void solve() {
		int n = in.nextInt();
		myAssert(1 <= n && n <= 1000000000, "");
		c = Integer.toString(n).toCharArray();
		len = c.length;
		w = new boolean[len];
		go(0, 0);
		out.println(ans);
	}

	public void run() {
		try {
			solve();
		} catch (Exception e) {
			e.printStackTrace();
			System.exit(1);
		} finally {
			out.close();
		}		
	}

	public product_ft() {
		try {
			in = new Scanner(new File(fname + ".in"));
			out = new PrintWriter(new File(fname + ".out"));
		} catch (Exception e) {
			e.printStackTrace();
			System.exit(1);
		}
	}


	public static void main(String[] args) {
		Locale.setDefault(Locale.US);
		new Thread(new product_ft()).start();
	}

}                       